Package org.eclipse.birt.report.engine.content

# Interface IContentVisitor

public interface IContentVisitor
Defines the visitor interface used mainly by a buffered emitter

## Method Summary

Modifier and Type
Method
Description
`Object`
`visit(IContent content, Object value)`
`Object`
`visitAutoText(IAutoTextContent autoText, Object value)`
`Object`
`visitCell(ICellContent cell, Object value)`
visit cell content object
`Object`
`visitContainer(IContainerContent container, Object value)`
visit content( free-form and list band)
`Object`
`visitContent(IContent content, Object value)`
`Object`
`visitData(IDataContent data, Object value)`
`Object`
`visitForeign(IForeignContent foreign, Object value)`
visit exteded item
`Object`
`visitGroup(IGroupContent group, Object value)`
`Object`
`visitImage(IImageContent image, Object value)`
visit image content
`Object`
`visitLabel(ILabelContent label, Object value)`
`Object`
`visitList(IListContent list, Object value)`
visit list content
`Object`
`visitListBand(IListBandContent listBand, Object value)`
visit list band content
`Object`
`visitListGroup(IListGroupContent group, Object value)`
`Object`
`visitPage(IPageContent page, Object value)`
`Object`
`visitRow(IRowContent row, Object value)`
visit the row content object
`Object`
`visitTable(ITableContent table, Object value)`
visit table content object
`Object`
`visitTableBand(ITableBandContent tableBand, Object value)`
visit table band
`Object`
`visitTableGroup(ITableGroupContent group, Object value)`
`Object`
`visitText(ITextContent text, Object value)`
visit the text content object

## Method Details

### visit

Object visit(IContent content, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitContent

Object visitContent(IContent content, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitPage

Object visitPage(IPageContent page, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitContainer

Object visitContainer(IContainerContent container, Object value) throws org.eclipse.birt.core.exception.BirtException
visit content( free-form and list band)

Parameters:
  `content` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitTable

Object visitTable(ITableContent table, Object value) throws org.eclipse.birt.core.exception.BirtException
visit table content object

Parameters:
  `table` - the table object
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitTableBand

Object visitTableBand(ITableBandContent tableBand, Object value) throws org.eclipse.birt.core.exception.BirtException
visit table band

Parameters:
  `tableBand` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitList

Object visitList(IListContent list, Object value) throws org.eclipse.birt.core.exception.BirtException
visit list content

Parameters:
  `list` -
  `value` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitListBand

Object visitListBand(IListBandContent listBand, Object value) throws org.eclipse.birt.core.exception.BirtException
visit list band content

Parameters:
  `listBand` -
  `value` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitRow

Object visitRow(IRowContent row, Object value) throws org.eclipse.birt.core.exception.BirtException
visit the row content object

Parameters:
  `row` - the row object
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitCell

Object visitCell(ICellContent cell, Object value) throws org.eclipse.birt.core.exception.BirtException
visit cell content object

Parameters:
  `cell` - the cell object
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitText

Object visitText(ITextContent text, Object value) throws org.eclipse.birt.core.exception.BirtException
visit the text content object

Parameters:
  `text` - the text object
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitLabel

Object visitLabel(ILabelContent label, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitAutoText

Object visitAutoText(IAutoTextContent autoText, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitData

Object visitData(IDataContent data, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitImage

Object visitImage(IImageContent image, Object value) throws org.eclipse.birt.core.exception.BirtException
visit image content

Parameters:
  `image` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitForeign

Object visitForeign(IForeignContent foreign, Object value) throws org.eclipse.birt.core.exception.BirtException
visit exteded item

Parameters:
  `content` -
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitGroup

Object visitGroup(IGroupContent group, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitListGroup

Object visitListGroup(IListGroupContent group, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`

### visitTableGroup

Object visitTableGroup(ITableGroupContent group, Object value) throws org.eclipse.birt.core.exception.BirtException

Throws:
  `org.eclipse.birt.core.exception.BirtException`